Skip to content

Get an order based on the order Id

get
https://api.mercadoe.com/v1/orders/supplier-orders/{orderId}

Get information about a specific purchase order with the given Id.

Request

Path Parameters

orderId
int32
required
the order id

Responses

200
404
OK

Body

application/json
id
int32
ID of the ME order
supplierId
int32
Supplier ID
clientOrderId
string | null
The order ID in the Client’s ERP
grossValue
double | null
Gross value
netValue
double | null
Net value
creationDate
date-time
Order creation date
dateAlteration
date-time | null
Date when the order was changed.
deliveryDate
date-time | null
Order delivery date
approvalDate
date-time | null
Order confirmation date
quotationId
int32 | null
Quotation Id
contractId
int32 | null
Contract Id
preOrderId
int32 | null
Pre-order Id
languageId
int32 | null
Default language selection:
- 0 = Portuguese (BR)
- 1 = English
- 2 = Spanish
deliveryDeadline
int32 | null
Delivery deadline in days
invisible
boolean | null
It indicates if the order is invisible.
incoTerms
string | null
Freight code (Incoterms)
freightValue
double | null
Freight value (Incoterms)
name
string | null
Buyer’s name
integrationTag
string | null
Identification of the ME user used in the integration
clientSupplierId
string | null
Supplier code in the client’s ERP
login
string | null
User login
phone
string | null
Buyer’s phone
email
string | null
Buyer’s email
contact
string | null
Buyer’s contact
summary
string | null
Order title
documentNumber
string | null
deprecated
The Document number of the invoicing place
documentType
string | null
deprecated
Document type of the invoicing place
clientPaymentConditionId
string | null
Client payment condition code
clientPaymentConditionDescription
string | null
Client payment condition description
currency
string | null
Currency in alphabetic code (for more information, please refer to: https://www.iso.org/iso-4217-currency-codes.html).
note
string | null
Header note
companyName
string | null
Company name
status
string
allowed values: RefusedCanceledConfirmedWaitingResponseUnreadParciallyConfirmed
isCanceled
boolean | null
Is this order canceled? (True/False)
- Canceled order = “True”.
- Active order = “False”.
readingDate
date-time | null
Order reading date
isChanged
boolean | null
Is this order changed? (True/False)
- Changed order = “True”.
- Not changed order = “False”.
commercialOperation
object
deliveryPlace
object
invoicingPlace
object
billingPlace
object
taxes
array of object | null
List with the taxes applied in the country.
attributes
array of object | null
deprecated
List with the attributes of the ordered items, consisting of the name, value and description fields.
businessOrganizations
array of object | null
deprecated
Business Organizations is a list consisting of the Company Code and the Delivery Center/Location Code.
Credentials
shell